Subject: Offline Message from Rawan: Hello, It has been over a month since I issued a
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 15 Jul 2020 07:59:54 -0000

From: Rawan <[email-masked]>
Phone: 
Location: , Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/
Department: 

Hello, 
It has been over a month since I issued a return for my wrong delivered item snuzpod order number #100139888, the return was approved by Mumzworld and was contacted by Mr.Moataz Salah Eldin, he scheduled a pickup by imile since 2nd June reference number 605312039866.

No one has picked up my order or contacted me from imile or Mumzworld, I have contacted Mr. Motaz Again informing him that no one contacted me yet on 14 June, but did not get a reply from him.

Since then, I have been contacting imile regularly to follow up on pick up but no luck! they keep rescheduling or filing a complaint and still no pick up.

Finally, I have contacted imile again yesterday complaining about the service, and they informed me that they will follow up with Mumzworld, only to receive an e-mail today from Motaz in Mumzword saying that my pickup has been cancelled!!!!!!

I have replied to the email clarifying that I haven't cancelled the pickup and still waiting. kept calling customer service phone number but no answer as well.

Please arrange for the return order & pick up ASAP!! I will not be available to follow up or return the item soon. I dont want to have an additional 2 months of this again. Please help me with this issue and resolve it once and for all.

Regards,
Rawan

----
Zopim
https://www.zopim.com